---
include:
  - project: "empaia/integration/ci-templates"
    ref: "main"
    file:
      - "job-templates/bot-git-init.yml"

.bot-add-release-version-tag:
  extends: .bot-git-init
  script:
    - git tag -a "release-$VERSION" -m "ci-tag"
    - git push ci-origin "release-$VERSION"
    - >
      curl -i -X POST -H 'Content-Type: application/json'
      -d '{"text": "New release: '"$CI_PROJECT_NAME"' '"$VERSION"' "}'
      $MATTERMOST_RELEASES_URL
